Subject: bug#7432: closed (Re: bug#7432: 24.0.50; Display change)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Nov 2010 10:05:02 +0000

Your bug report

#7432: 24.0.50; Display change

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7432: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7432
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7432: 24.0.50; Display change
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 18 Nov 2010 05:10:00 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Wed, 17 Nov 2010 23:49:43 -0500
> Cc: 
> 
> Instead of seeing a box for `gnus-sum-thread-tree-leaf-with-other`
> and `gnus-sum-thread-tree-single-leaf', I now see a box with
> the characters "27" "6F" ("27" is on top of "6F").
> 
> How do I get the empty box back?

By reading NEWS:

  ** Enhanced support for characters that have no glyphs in available fonts
  If a character has no glyphs in any of the available fonts, Emacs by
  default will display it either as a hexadecimal code in a box or as a
  thin 1-pixel space.  In addition to these two methods, Emacs can
  display these characters as empty box, as an acronym, or not display
  them at all.  To change how these characters are displayed, customize
  the variable `glyphless-char-display-control'.

  On character terminals these methods are used for characters that
  cannot be encoded by the `terminal-coding-system'.

I'm closing this bug report.

Subject: 24.0.50; Display change
From: [email-masked]
To: [email-masked]
Date: Wed, 17 Nov 2010 23:49:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I use the following:

  (setq gnus-summary-line-format "%8{%4k│%}%9{%U%R%z%}%8{│%}%*%(%-23,23f%)%7{║%} %6{%B%} %s\n"
	gnus-summary-dummy-line-format "    %8{│%}   %(%8{│%}                       %7{║%}%) %6{┏○%}  %S\n"
	gnus-sum-thread-tree-indent " "
	gnus-sum-thread-tree-root "┏● " 
	gnus-sum-thread-tree-false-root " ○ "
	gnus-sum-thread-tree-single-indent " ● "
	gnus-sum-thread-tree-leaf-with-other "┣━━❯ " 
	gnus-sum-thread-tree-vertical "┃"
	gnus-sum-thread-tree-single-leaf "┗━━❯ ")

Instead of seeing a box for `gnus-sum-thread-tree-leaf-with-other`
and `gnus-sum-thread-tree-single-leaf', I now see a box with
the characters "27" "6F" ("27" is on top of "6F").

How do I get the empty box back?

Thanks.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-11-16 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/imagesupport/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp949
  default enable-multibyte-characters: t

Major mode: Message

Minor modes in effect:
  gnus-message-citation-mode: t
  mml-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b SPC 
C-e C-j C-x b <return> C-p C-p C-p C-p C-p C-p SPC 
1 0 0 0 <return> a y C-a C-p C-p C-k C-k C-n C-e <help-echo> 
<help-echo> <help-echo> g n u s - s u m m a r y - l 
i n e - f o r m a t SPC d i s p l a y C-n C-n C-n C-n 
H i , <return> <return> I SPC j u s t SPC u p g r a 
d e d SPC E m a c s SPC t o SPC <escape> x d <backspace> 
e m a s SPC <backspace> c s SPC v SPC <return> 2 4 
. 0 . 5 0 . 1 SPC a n d SPC s t a r t e d SPC G n u 
s . <return> <return> I SPC u s e d SPC t o SPC s e 
e SPC t h e SPC ` g n u s - s u m - t r h <backspace> 
<backspace> h r e e d <backspace> <backspace> a d - 
t r e e - l e a f - w i t h - o t h e r ' <return> 
a n d SPC g n u s - s u m - t h r e a d - t r e e - 
s i n g l e - l e a d <backspace> f ' SPC a s SPC t 
h e SPC f o l l o w i n g : <return> <return> C-x b 
m s g <tab> <return> C-x b <return> C-y <backspace> 
C-a C-d <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-menu> <se
nd-emacs-bug-report>

Recent messages:
Retrieving newsgroup: gmane.emacs.gnus.general...
Opening nntp server on news...done
Fetching headers for gmane.emacs.gnus.general...done
Sorting threads...done
Generating summary...done
gcc-it?: (y or n)  y
Auto-saving...done
xding
GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2010-11-16 on 3249CTO
Mark set

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug gnus-cite qp gnus-async help-mode view
gnus-ml nndoc utf-7 tls nnimap parse-time utf7 byte-opt bytecomp
byte-compile nnfolder nndraft nnmh gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art rfc1843 mm-uu mml2015 mm-view
smime dig mailcap nntp gnus-cache epa-file epa derived epg epg-config
auth-source netrc sieve sieve-mode sieve-manage password-cache nnir
gnus-sum gnus-group time-date gnus-undo nnmail mail-source format-spec
gnus-start gnus-spec gnus-int gnus-range message rfc822 mml mml-sec
mm-decode term ehelp electric ring mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win gnus gnus-ems nnoo nnheader gnus-util mm-util mail-prsvr
mail-utils advice advice-preload pager w3m-search w3m help-fns
browse-url doc-view easymenu jka-compr dired regexp-opt image-mode
timezone w3m-hist w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon
w3m-image w3m-proc w3m-util wid-edit w3m-wget server easy-mmode cl
edmacro kmacro paren tooltip ediff-hook vc-hooks lisp-float-type mwheel
dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)